Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 4921)
@@ -17,4 +17,5 @@
 %NCDF_INC            -I/usr/local/netcdf-3.6.3/include
 %NCDF_LIB            -L/usr/local/netcdf-3.6.3/lib -lnetcdf
+%CPP                 cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -O3 -qsuffix=f=f90  -qstrict -qalias=intptr -qsuppress=1501-245 -qarch=pwr6 -q64 -qrealsize=8 -qtune=pwr6 -qextname -qlargepage -qmaxmem=-1
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 4921)
@@ -17,4 +17,5 @@
 %NCDF_INC            -I/usr/local/netcdf-3.6.3/include
 %NCDF_LIB            -L/usr/local/netcdf-3.6.3/lib -lnetcdf
+%CPP                 cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -g -qsuffix=f=f90  -qstrict -qalias=intptr -qsuppress=1501-245 -qarch=pwr6 -q64 -qrealsize=8 -qtune=pwr6 -qextname -qlargepage -qmaxmem=-1
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 4921)
@@ -17,4 +17,5 @@
 %NCDF_INC            -I/usr/local/netcdf-3.6.3/include
 %NCDF_LIB            -L/usr/local/netcdf-3.6.3/lib -lnetcdf
+%CPP                 cpp
 %FC                  xlf90
 %FCFLAGS             -O3 -qsuffix=f=f90  -qstrict -qsuppress=1501-245 -qarch=pwr6 -q64 -qrealsize=8 -qtune=pwr6 -qextname -qlargepage -qmaxmem=-1
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 4921)
@@ -44,4 +44,5 @@
 %XIOS_LIB            -L%XIOS_HOME/lib -lxios
 
+%CPP                 cpp
 %FC                  mpif90
 %FCFLAGS             -fdefault-real-8 -fno-second-underscore -Dgfortran -ffree-line-length-none
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 4921)
@@ -17,4 +17,5 @@
 %NCDF_INC -I$NETCDF/include
 %NCDF_LIB -L$NETCDF/lib -lnetcdf -lnetcdff
+%CPP                 cpp
 %FC mpiifort
 %FCFLAGS -r8 -O3 -xHost -fp-model source -traceback
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 4921)
@@ -17,4 +17,5 @@
 %NCDF_INC -I$NETCDF/include
 %NCDF_LIB -L$NETCDF/lib -lnetcdf -lnetcdff
+%CPP                 cpp
 %FC mpiifort
 %FCFLAGS -fpe0 -g -r8 -O1 -xHost -fp-model source -traceback
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 4921)
@@ -17,4 +17,5 @@
 %NCDF_INC -I$NETCDF/include
 %NCDF_LIB -L$NETCDF/lib -lnetcdf -lnetcdff
+%CPP                 cpp
 %FC ifort
 %FCFLAGS -r8 -O3 -xHost -fp-model source -traceback
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 4921)
@@ -41,4 +41,5 @@
 %XIOS_INC            -I/users/home/ans040/SOFTWARE/XIOS_athena/trunk/inc
 %XIOS_LIB            -L/users/home/ans040/SOFTWARE/XIOS_athena/trunk/lib -lxios
+%CPP                 cpp
 %FC                  mpiifort
 %FCFLAGS 	     -g -r8 -O3 -xHost -fp-model source -traceback
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 4921)
@@ -20,4 +20,5 @@
 %XIOS_ROOT           /home/delrosso/XIOS_447/trunk
 %MPI_INTEL           -I/srv/intel/impi/4.1.0.024/include
+%CPP                 cpp
 %FC                  mpiifort
 %FCFLAGS             -r8 -O3 -g -traceback 
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 4921)
@@ -42,4 +42,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  ifort
 %FCFLAGS             -r8 -O3 -fp-model precise -xT -ip -vec-report0
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 4921)
@@ -35,4 +35,6 @@
 
 %XLF90_LIB           -lxlf90_r
+
+%CPP	             cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -qsuffix=f=f90 -qsuffix=cpp=F90 -qfree=f90 -O3 -qrealsize=8 -qarch=auto -qtune=auto -qinitauto
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-PW7_METO.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 4921)
@@ -21,7 +21,8 @@
 %XIOS_INC            -I/data/nwp/ofrd/share/NEMO/xios_lib/seq/xios_r451/inc
 %XIOS_LIB            -L/data/nwp/ofrd/share/NEMO/xios_lib/seq/xios_r451/lib -lxios
+%CPP	             cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
-%FFLAGS              -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
+%FFLAGS              -qrealsize=8 -qextname -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF -qfixed
 %LD                  mpCC_r
 %LDFLAGS             -lxlf90 -L/projects/um1/lib -lsig -O2 -L MASS
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_CURIE.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 4921)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 # for Curie Fat Node
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 4921)
@@ -46,4 +46,5 @@
 %OASIS_LIB           
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 %FCFLAGS             -i4 -r8 -O3 -fp-model source -xAVX
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_VAYU.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 4921)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 %FCFLAGS             -i4 -r8
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 4921)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpif90 -c -cpp
 %FCFLAGS            -i4 -r8 -O3 -fp-model precise -xAVX
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-XC_ARCHER.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 4921)
@@ -41,4 +41,5 @@
 #OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  ftn
 #FCFLAGS             -em -s integer32 -s real64 -O3
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 4921)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 4921)
@@ -0,0 +1,56 @@
+# compiler options for Archer CRAY XC-30 (using intel compiler)
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%NCDF_HOME           $NETCDF_DIR
+%HDF5_HOME           $HDF5_DIR
+%XIOS_HOME           /work/n01/n01/acc/XIOS_r484
+#OASIS_HOME          
+
+%NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
+%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lz
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+#OASIS_INC           -I%OASIS_HOME/build/lib/mct -I%OASIS_HOME/build/lib/psmile.MPI1
+#OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
+
+%CPP	             cpp
+%FC                  ftn
+%FCFLAGS             -integer-size 32 -real-size 64 -O3 -fp-model source -zero -fpp -warn all
+%FFLAGS              -integer-size 32 -real-size 64 -O3 -fp-model source -zero -fpp -warn all
+%LD                  CC -Wl,"--allow-multiple-definition"
+%FPPFLAGS            -P -C -traditional
+%LDFLAGS
+%AR                  ar 
+%ARFLAGS             -r
+%MK                  gmake
+%USER_INC            %XIOS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %NCDF_LIB
+#USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+#USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-macport_osx.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 4921)
@@ -50,4 +50,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp-mp-4.8
 %FC	             mpif90 
 %FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer 
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 4921)
@@ -19,4 +19,5 @@
 %NCDF_LIB            -L$NETCDF_LIB -lnetcdff -lnetcdf -L$HDF5_LIB -lhdf5_hl -lhdf5 -lz
 
+%CPP	             cpp
 %FC                  mpif90
 %FCFLAGS             -O2 -fp-model precise  -traceback -r8  -convert big_endian -assume byterecl
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-x3750_ADA.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-x3750_ADA.fcm	(revision 4713)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-x3750_ADA.fcm	(revision 4921)
@@ -41,4 +41,5 @@
 %OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
 
+%CPP	             cpp
 %FC                  mpiifort -c -cpp
 %FCFLAGS             -DCPP_PARA -i4 -r8 -O3 -xAVX -fp-model precise
Index: branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-x3750_ADA_O0.fcm
===================================================================
--- branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-x3750_ADA_O0.fcm	(revision 4921)
+++ branches/2014/dev_r4650_UKMO13_CICE_changes_take2/NEMOGCM/ARCH/arch-x3750_ADA_O0.fcm	(revision 4921)
@@ -0,0 +1,54 @@
+# Ada  IBM x3750 at french IDRIS, http://www.idris.fr/ada/ada-hw-ada.html
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%NCDF_HOME           /smplocal/pub/NetCDF/4.1.3/mpi
+%HDF5_HOME           /smplocal/pub/HDF5/1.8.9/par
+%XIOS_HOME           $WORKDIR/XIOS
+%OASIS_HOME          /not/yet/defined
+
+%NCDF_INC            -I%NCDF_HOME/include 
+%NCDF_LIB            -L%NCDF_HOME/lib -Bstatic -lnetcdff -lnetcdf -Bdynamic -L%HDF5_HOME/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz 
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/mct -I%OASIS_HOME/build/lib/psmile.MPI1
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lmct -lmpeu -lscrip
+
+%CPP	             cpp
+%FC                  mpiifort -c -cpp
+%FCFLAGS             -DCPP_PARA -i4 -r8 -O0 -xAVX -fp-model precise
+%FFLAGS              %FCFLAGS
+%LD                  mpiifort
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB